import './index.less';
import React from "react";
export interface TabRoute {
    title: string;
    themeColor?: string;
    url: string;
    closable?: boolean;
    popConfirm?: boolean;
    closeCallbackFn?: (tab: TabRoute) => Promise<any>;
}
export interface CommonTabbarState {
    routes: TabRoute[];
    themeColor: string;
    setRoutesOverwrite: (value: TabRoute[]) => void;
    pushRoute: (value: TabRoute) => void;
    changeTheme: (value: string) => void;
}
export declare const useCommonTabbarService: () => CommonTabbarState;
interface Iprops {
    context: React.Context<CommonTabbarState>;
    maxWidth?: string | number;
    id: string;
    tabInpage?: number;
}
declare function CommonTabbar(props: Iprops): JSX.Element;
declare namespace CommonTabbar {
    var defaultProps: {
        name: string;
        tabInpage: number;
    };
}
export default CommonTabbar;
