import React, { Component, CSSProperties } from 'react';
import './DragModal.less';
/**
 * 通用组件-可拖拽弹窗（对话框）
 */
interface IProps {
    visible?: boolean;
    title?: string;
    onClose?: () => void;
    wrapClassName?: string;
    width?: number;
    destroyOnClose?: boolean;
    centered?: boolean;
    forceRender?: boolean;
    dragForbidden?: boolean;
    showCloseIcon?: boolean;
    showHeader?: boolean;
    mask?: boolean;
    style?: CSSProperties;
    children?: React.ReactNode;
}
export default class DragModal extends Component<IProps> {
    draggleRef: React.RefObject<any>;
    static defaultProps: {
        centered: boolean;
        forceRender: boolean;
        dragForbidden: boolean;
        showCloseIcon: boolean;
        showHeader: boolean;
        mask: boolean;
    };
    state: {
        modalDragDisabled: boolean;
        bounds: {
            left: number;
            top: number;
            bottom: number;
            right: number;
        };
    };
    onModalDragStart: (_: any, uiData: any) => void;
    onCancel: (_: any) => void;
    render(): JSX.Element;
}
export {};
