import React from "react";
import './index.less';
interface EditableRowProps {
    index: number;
}
export declare const EditableRow: React.FC<EditableRowProps>;
interface EditableCellProps<T> {
    editable: boolean;
    cellKey: string;
    selectedKey: string;
    children: React.ReactNode;
    dataIndex: string;
    record: T;
    align?: "left" | "center" | "right";
    type?: 'Input' | 'Select' | 'InputNumberPrice' | 'InputNumber' | 'InputNumberPercent' | 'TextArea';
    options?: any[];
    allowClear?: boolean;
    showSelectSearch?: boolean;
    directEdit?: boolean;
    handleSave?: (record: T) => void;
    pressEnter?: (record: T) => void;
    pressTab?: (record: T) => void;
    onTap?: (record: T, cellKey: string) => void;
    onRightTap?: (e: any, record: T, cellKey: string) => void;
}
export declare const EditableCell: <T>({ editable, cellKey, selectedKey, children, dataIndex, record, align, type, options, allowClear, showSelectSearch, directEdit, handleSave, pressEnter, pressTab, onTap, onRightTap, ...restProps }: EditableCellProps<T>) => JSX.Element;
export {};
