import { ReactNode } from "react";
import './index.less';
/**
 * 文件或文件夹拖拽上传
 *
 * 功能：可包裹在组件外部，形成大面积拖拽区域，目前需和uploadPanel组件配合使用，通过onDrop传文件列表参数，
 *
 * children: 被包裹的子组件
 * className: 包裹外壳的样式
 * onFileDrop: 向组件外传输解析后的文件列表，关联uploadPanel组件使用
 * onContextMenu: 右键监听事件
 * disabled: 禁用拖拽上传
 *
 */
export interface DropFolder {
    name?: string;
    uid?: string;
    parentKey?: string;
}
interface Iprops {
    children?: ReactNode;
    className?: string;
    onFileDrop?: (fileList: any[], folderList: DropFolder[], fileCount?: number, folderCount?: number) => void;
    onContextMenu?: (e: any) => void;
    disabled?: boolean;
}
export default function UploadDragger({ children, className, onFileDrop, onContextMenu, disabled, }: Iprops): JSX.Element;
export {};
