import { Button } from "antd";
import { ArrowDownOutlined } from "@ant-design/icons"
import { DownloadFile, DownloadState } from "./download-panel";
import { useContext } from "react";
import React from 'react'
interface IProps {
    disabled?: boolean
    downloadFileContext: React.Context<DownloadState>
    title: string
    files: DownloadFile[]

}

export default function DownloadButton(props: IProps){
    //引入上下文
    const downloadContext = useContext(props.downloadFileContext);

    return (
        <Button icon={<ArrowDownOutlined />} title={props.title} size="small" disabled={props.disabled ? true : false} onClick={(e) => {
            e.stopPropagation();
            e.preventDefault();
            downloadContext.startDownload(props.files)
        }}></Button>
    )

}

DownloadButton.defaultProps = {
    title: "下载"
}