import './index.less'
import React from 'react'

interface Iprops<T> {
    dataSource: T[], // 列表数据源
    key: string, // 每一个item唯一的key
    title: string, // item的主题
}

export default function CustomList<T>({
    dataSource = [],
    key,
    title,
}: Iprops<T>) {
    return (
        <div className="item-list">
            {dataSource.map(item => (
                <div className="item" key={item[key]}>
                    <div className="item-name">
                        {item[title]}
                    </div>
                </div>
            ))}
        </div>
    )
}
