import { Dayjs } from 'dayjs';
import 'antd/es/date-picker/style/index';
/**
 * 通用组件-内置了dayjs的日期选择器
 *
 * 部分参数：
 * @param showTime: { minuteStep: number, showHour: boolean, showMinute: boolean, showSecond: boolean }
 * @param onChange: () => void
 * @param format: string  //输出格式
 * @param placeholder: string   //未选择时间是的占位符
 */
declare const DatePicker: import("antd/es/date-picker/generatePicker/interface").PickerComponentClass<(Pick<import("rc-picker/lib/Picker").PickerBaseProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext"> & {
    locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
    size?: import("antd/es/button").ButtonSize;
    placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
    bordered?: boolean;
    status?: "" | "warning" | "error";
} & {
    status?: "" | "warning" | "error";
    dropdownClassName?: string;
    popupClassName?: string;
}) | (Pick<import("rc-picker/lib/Picker").PickerDateProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showToday" | "showNow" | "showTime" | "disabledTime"> & {
    locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
    size?: import("antd/es/button").ButtonSize;
    placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
    bordered?: boolean;
    status?: "" | "warning" | "error";
} & {
    status?: "" | "warning" | "error";
    dropdownClassName?: string;
    popupClassName?: string;
}) | (Pick<import("rc-picker/lib/Picker").PickerTimeProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showNow" | "disabledTime" | "showHour" | "showMinute" | "showSecond" | "use12Hours" | "hourStep" | "minuteStep" | "secondStep" | "hideDisabledOptions" | "disabledHours" | "disabledMinutes" | "disabledSeconds" | "defaultOpenValue"> & {
    locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
    size?: import("antd/es/button").ButtonSize;
    placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
    bordered?: boolean;
    status?: "" | "warning" | "error";
} & {
    status?: "" | "warning" | "error";
    dropdownClassName?: string;
    popupClassName?: string;
}), unknown> & {
    WeekPicker: import("antd/es/date-picker/generatePicker/interface").PickerComponentClass<Pick<Pick<import("rc-picker/lib/Picker").PickerDateProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showToday" | "showNow" | "showTime" | "disabledTime"> & {
        locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
        size?: import("antd/es/button").ButtonSize;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
        bordered?: boolean;
        status?: "" | "warning" | "error";
    }, "locale" | "onChange" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showToday" | "showNow" | "showTime" | "disabledTime" | "size" | "placement" | "bordered" | "status">, unknown>;
    MonthPicker: import("antd/es/date-picker/generatePicker/interface").PickerComponentClass<Pick<Pick<import("rc-picker/lib/Picker").PickerDateProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showToday" | "showNow" | "showTime" | "disabledTime"> & {
        locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
        size?: import("antd/es/button").ButtonSize;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
        bordered?: boolean;
        status?: "" | "warning" | "error";
    }, "locale" | "onChange" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showToday" | "showNow" | "showTime" | "disabledTime" | "size" | "placement" | "bordered" | "status">, unknown>;
    YearPicker: import("antd/es/date-picker/generatePicker/interface").PickerComponentClass<Pick<Pick<import("rc-picker/lib/Picker").PickerDateProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showToday" | "showNow" | "showTime" | "disabledTime"> & {
        locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
        size?: import("antd/es/button").ButtonSize;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
        bordered?: boolean;
        status?: "" | "warning" | "error";
    }, "locale" | "onChange" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showToday" | "showNow" | "showTime" | "disabledTime" | "size" | "placement" | "bordered" | "status">, unknown>;
    RangePicker: import("antd/es/date-picker/generatePicker/interface").PickerComponentClass<import("antd/es/date-picker/generatePicker").RangePickerProps<Dayjs>, unknown>;
    TimePicker: import("antd/es/date-picker/generatePicker/interface").PickerComponentClass<Pick<Pick<import("rc-picker/lib/Picker").PickerTimeProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showNow" | "disabledTime" | "showHour" | "showMinute" | "showSecond" | "use12Hours" | "hourStep" | "minuteStep" | "secondStep" | "hideDisabledOptions" | "disabledHours" | "disabledMinutes" | "disabledSeconds" | "defaultOpenValue"> & {
        locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
        size?: import("antd/es/button").ButtonSize;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
        bordered?: boolean;
        status?: "" | "warning" | "error";
    }, "locale" | "onChange" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showNow" | "disabledTime" | "showHour" | "showMinute" | "showSecond" | "use12Hours" | "hourStep" | "minuteStep" | "secondStep" | "hideDisabledOptions" | "disabledHours" | "disabledMinutes" | "disabledSeconds" | "defaultOpenValue" | "size" | "placement" | "bordered" | "status">, unknown>;
    QuarterPicker: import("antd/es/date-picker/generatePicker/interface").PickerComponentClass<Pick<Pick<import("rc-picker/lib/Picker").PickerTimeProps<Dayjs>, "onChange" | "picker" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showNow" | "disabledTime" | "showHour" | "showMinute" | "showSecond" | "use12Hours" | "hourStep" | "minuteStep" | "secondStep" | "hideDisabledOptions" | "disabledHours" | "disabledMinutes" | "disabledSeconds" | "defaultOpenValue"> & {
        locale?: import("antd/es/date-picker/generatePicker").PickerLocale;
        size?: import("antd/es/button").ButtonSize;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight";
        bordered?: boolean;
        status?: "" | "warning" | "error";
    }, "locale" | "onChange" | "prefixCls" | "className" | "style" | "mode" | "tabIndex" | "value" | "defaultValue" | "defaultPickerValue" | "disabledDate" | "dateRender" | "monthCellRender" | "renderExtraFooter" | "onSelect" | "onPanelChange" | "onMouseDown" | "onOk" | "direction" | "dropdownClassName" | "dropdownAlign" | "popupStyle" | "transitionName" | "placeholder" | "allowClear" | "autoFocus" | "disabled" | "open" | "defaultOpen" | "inputReadOnly" | "id" | "format" | "suffixIcon" | "clearIcon" | "prevIcon" | "nextIcon" | "superPrevIcon" | "superNextIcon" | "getPopupContainer" | "panelRender" | "inputRender" | "onOpenChange" | "onFocus" | "onBlur" | "onMouseUp" | "onMouseEnter" | "onMouseLeave" | "onClick" | "onContextMenu" | "onKeyDown" | "pickerRef" | "role" | "name" | "autoComplete" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-invalid" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "showNow" | "disabledTime" | "showHour" | "showMinute" | "showSecond" | "use12Hours" | "hourStep" | "minuteStep" | "secondStep" | "hideDisabledOptions" | "disabledHours" | "disabledMinutes" | "disabledSeconds" | "defaultOpenValue" | "size" | "placement" | "bordered" | "status">, unknown>;
};
export default DatePicker;
